Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master grimoire by George Sherwood (6be168ef537281a3aa6aff7ca723d26c2c08f5c4)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: George Sherwood <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master grimoire by George Sherwood (6be168ef537281a3aa6aff7ca723d26c2c08f5c4)
  • Date: Mon, 15 Dec 2008 08:21:53 -0600

GIT changes to master grimoire by George Sherwood <gsherwood AT sourcemage.org>:

libs/gavl/DEPENDS | 5 ++++
libs/gavl/HISTORY | 5 +++-
video-libs/gstreamer/HISTORY | 4 +++
video-libs/gstreamer/PRE_BUILD | 2 +
video-libs/gstreamer/gstreamer-bison.patch | 34
+++++++++--------------------
5 files changed, 26 insertions(+), 24 deletions(-)

New commits:
commit 6be168ef537281a3aa6aff7ca723d26c2c08f5c4
Author: George Sherwood <gsherwood AT sourcemage.org>
Commit: George Sherwood <gsherwood AT sourcemage.org>

gavl: Added optional_depends doxygen. Bug #14960.

commit 34e7bc06da7f2162122549b9662725aa84b3e193
Author: George Sherwood <gsherwood AT sourcemage.org>
Commit: George Sherwood <gsherwood AT sourcemage.org>

gstreamer: Change fix to that provided by upstream. Does
version checking for bison with this fix.

diff --git a/libs/gavl/DEPENDS b/libs/gavl/DEPENDS
index d64da9c..8d4ccba 100755
--- a/libs/gavl/DEPENDS
+++ b/libs/gavl/DEPENDS
@@ -1,3 +1,8 @@
+optional_depends doxygen \
+ "" \
+ "--without-doxygen" \
+ "To build documentation" &&
+
optional_depends "libpng" \
"" \
"--disable-libpng" \
diff --git a/libs/gavl/HISTORY b/libs/gavl/HISTORY
index 4c86899..378e3ad 100644
--- a/libs/gavl/HISTORY
+++ b/libs/gavl/HISTORY
@@ -1,5 +1,8 @@
+2008-12-15 George Sherwood <gsherwood AT sourcemage.org>
+ * DEPENDS: Added optional_depends doxygen. Bug #14960
+
2008-08-15 Ivan Lezhnjov Jr. <ivan.lezhnjov.jr AT sourcemage.org>
- * Updated to version 1.0.1
+ * DETAILS: Updated to version 1.0.1

2008-03-06 Ivan Lezhnjov Jr. <ivan.lezhnjov.jr AT gmail.com>
* BUILD, CONFIGURE, DEPENDS, DETAILS, HISTORY: created this spell.
diff --git a/video-libs/gstreamer/HISTORY b/video-libs/gstreamer/HISTORY
index 5f85da3..9b32fdc 100644
--- a/video-libs/gstreamer/HISTORY
+++ b/video-libs/gstreamer/HISTORY
@@ -1,3 +1,7 @@
+2008-12-15 George Sherwood <gsherwood AT sourcemage.org>
+ * PRE_BUILD: Need to run ./autogen.sh
+ * gstreamer-bison.patch: Changed patch to match upstream fix.
+
2008-12-13 George Sherwood <gsherwood AT sourcemage.org>
* PRE_BUILD: Added patch
* gstreamer-bison.patch: Added to fix bison version check failure.
diff --git a/video-libs/gstreamer/PRE_BUILD b/video-libs/gstreamer/PRE_BUILD
index 99cdac6..096ef49 100755
--- a/video-libs/gstreamer/PRE_BUILD
+++ b/video-libs/gstreamer/PRE_BUILD
@@ -3,6 +3,8 @@ cd $SOURCE_DIRECTORY &&

patch -p0 < $SCRIPT_DIRECTORY/gstreamer-bison.patch &&

+NOCONFIGURE=1 ./autogen.sh &&
+
sed -e '/which gtkdoc-rebase/ s/which/(which/' \
-e '/gtkdoc-rebase --relative --dest-dir=/ s/ ;/) || true ;/' \
-i docs/gst/Makefile.in -i docs/libs/Makefile.in
diff --git a/video-libs/gstreamer/gstreamer-bison.patch
b/video-libs/gstreamer/gstreamer-bison.patch
index 111b587..bed872f 100644
--- a/video-libs/gstreamer/gstreamer-bison.patch
+++ b/video-libs/gstreamer/gstreamer-bison.patch
@@ -1,26 +1,14 @@
---- configure.orig 2008-12-13 13:28:13.000000000 -0600
-+++ configure 2008-12-13 13:29:26.000000000 -0600
-@@ -25173,23 +25173,6 @@
- { (exit 1); exit 1; }; }
- fi
+--- common/m4/gst-parser.m4.orig 2008-09-10 11:16:47.000000000 +0200
++++ common/m4/gst-parser.m4 2008-12-14 19:14:43.000000000 +0100
+@@ -15,10 +15,7 @@
+ bison_version=`$BISON_PATH --version | head -n 1 | sed 's/^[[^0-9]]*//'
| sed 's/[[^0-9]]*$//' | cut -d' ' -f1`
+ AC_MSG_CHECKING([bison version $bison_version >= $bison_min_version])

-- bison_min_version=1.875
-- bison_version=`$BISON_PATH --version | head -n 1 | sed 's/^[^0-9]*//' |
sed 's/[^0-9]*$//' | cut -d' ' -f1`
-- { echo "$as_me:$LINENO: checking bison version $bison_version >=
$bison_min_version" >&5
--echo $ECHO_N "checking bison version $bison_version >=
$bison_min_version... $ECHO_C" >&6; }
--
- if perl -w <<EOF
- exit ($bison_version < $bison_min_version) ? 0 : 1;
--EOF
-- then
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
-- else
-- { { echo "$as_me:$LINENO: error: no" >&5
--echo "$as_me: error: no" >&2;}
-- { (exit 1); exit 1; }; }
-- fi
--
-
- # Extract the first word of "flex", so it can be a program name with
args.
- set dummy flex; ac_word=$2
+-EOF
+- then
++ if perl -we "exit ((v$bison_version ge v$bison_min_version) ? 0 : 1)";
then
+ AC_MSG_RESULT([yes])
+ else
+ AC_MSG_ERROR([no])



  • [SM-Commit] GIT changes to master grimoire by George Sherwood (6be168ef537281a3aa6aff7ca723d26c2c08f5c4), George Sherwood, 12/15/2008

Archive powered by MHonArc 2.6.24.

Top of Page